Back to TikTok
Apify·TikTok
Get TikTok Video
/clockworks/tiktok-video-scraperasync$0.015 / resultExtract data from chosen tiktoks. Just add a TikTok URL and get TikTok video and profile data: URLs, numbers of shares, followers, hashtags, hearts, video, and music metadata. Export scraped data, run the scraper via API, schedule and monitor runs or integrate with other tools. Runs as an Apify actor (20–120 s); results are dataset rows.
Charged per returned row plus the flat fee.
Input
| Field | Type | Required | Description |
|---|---|---|---|
| postURLs | array | yes | Add the URLs of posted videos you want to scrape. You can enter URLs one by one, or you can upload or link to a text file. (default ["https://www.tiktok.com/@apifylife/video/7200360993149553925"]) |
| scrapeRelatedVideos | boolean | — | Tick to scrape related videos for the post URLs you provide. - The maximum number of scraped related videos is set by the `resultsPerPage` count. (default false) |
| resultsPerPage | integer | — | Add the number of related videos you want to scrape for each post URL. This field is applicable when the Scrape related videos option is enabled. (default 1) |
| shouldDownloadVideos | boolean | — | This is a charged add-on. Tick to download TikTok videos. (default false) |
| shouldDownloadCovers | boolean | — | Tick to download TikTok video cover images (thumbnails). Note that this will increase time and costs needed to extract the data. (default false) |
| downloadSubtitlesOptions | string (NEVER_DOWNLOAD_SUBTITLES, DOWNLOAD_SUBTITLES, DOWNLOAD_AND_TRANSCRIBE_VIDEOS_WITHOUT_SUBTITLES, TRANSCRIBE_ALL_VIDEOS) | — | Choose how to handle subtitles and audio transcription for input videos. Subtitles are provided by TikTok for some videos, and transcription means that this Actor will use speech-to-text AI to generate video transcript. Transcripts are charged as an extra event according to your plan. (default "NEVER_DOWNLOAD_SUBTITLES") |
| shouldDownloadSlideshowImages | boolean | — | Tick to download TikTok slideshow images. Note that this will increase costs and time required for scraping. (default false) |
| videoKvStoreIdOrName | string | — | Name (or ID) of the Key Value Store where the videos and other media like thumbnails will be stored. Omit to store in the default one. Using this option will provide a named Key-Value store can help bypass data retention and store the content forever until the store is manually deleted.The Key-Value |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"apify","endpoint":"/clockworks/tiktok-video-scraper","input":{"postURLs":["https://www.tiktok.com/@apifylife/video/7200360993149553925"]}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.